VERIFIED SOLUTION i

Resolve error "The sa password must meet SQL Server Password policy requirements" while installing DOC1


 

Issue

While installing DOC1 Designer, SQL Server is also installed.

The below error appeared during installation:


User-added image

Cause

When installing DOC1, if no SQL instance is detected, it will install the version that is packaged up with Doc1. We have a default password that we use to install SQL, and in some instances, this password is not deemed strong enough because of company security policies, so the installation fails.

Resolution

UPDATED: September 13, 2017

Download and install SQL 205 or required prior to installing Doc1 ensuring that it has the required password strength, and that it is installed in Mixed Mode. This will mean that when Doc1 is installed, it will detect the installation and not attempt to install SQL. Hence the error will not appear.